Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.netlib.lapack
Class DLAMRG

    java.lang.Object
      org.netlib.lapack.DLAMRG

    public class DLAMRG

extends java.lang.Object

    DLAMRG is a simplified interface to the JLAPACK routine dlamrg.
    This interface converts Java-style 2D row-major arrays into
    the 1D column-major linearized arrays expected by the lower
    level JLAPACK routines.  Using this interface also allows you
    to omit offset and leading dimension arguments.  However, because
    of these conversions, these routines will be slower than the low
    level ones.  Following is the description from the original Fortran
    source.  Contact seymour@cs.utk.edu with any questions.

     *     ..
     *
     *  Purpose
     *  =======
     *
     *  DLAMRG will create a permutation list which will merge the elements
     *  of A (which is composed of two independently sorted sets) into a
     *  single set which is sorted in ascending order.
     *
     *  Arguments
     *  =========
     *
     *  N1     (input) INTEGER
     *  N2     (input) INTEGER
     *         These arguements contain the respective lengths of the two
     *         sorted lists to be merged.
     *
     *  A      (input) DOUBLE PRECISION array, dimension (N1+N2)
     *         The first N1 elements of A contain a list of numbers which
     *         are sorted in either ascending or descending order.  Likewise

     *         for the final N2 elements.
     *
     *  DTRD1  (input) INTEGER
     *  DTRD2  (input) INTEGER
     *         These are the strides to be taken through the array A.
     *         Allowable strides are 1 and -1.  They indicate whether a
     *         subset of A is sorted in ascending (DTRDx = 1) or descending
     *         (DTRDx = -1) order.
     *
     *  INDEX  (output) INTEGER array, dimension (N1+N2)
     *         On exit this array will contain a permutation such that
     *         if B( I ) = A( INDEX( I ) ) for I=1,N1+N2, then B will be
     *         sorted in ascending order.
     *
     *  =====================================================================
     *
     *     .. Local Scalars ..

Constructor Summary
`DLAMRG()`

Method Summary
`static void` | `DLAMRG(int n1, int n2, double[] a, int dtrd1, int dtrd2, int[] index)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DLAMRG

    public DLAMRG()

Method Detail

### DLAMRG

    public static void DLAMRG(int n1,
                              int n2,
                              double[] a,
                              int dtrd1,
                              int dtrd2,
                              int[] index)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD